import http from '@/api/http';
/**
 * 关注回复-列表
 */
export function wechatPlatformSubscribeList(params: object) {
  return http.get(`/wechatPlatform/subscribe/list`, params);
}
/**
 * 关注回复-详情
 */
export function wechatPlatformSubscribeDetail(
  id: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/subscribe/detail/${id}`, params);
}
/**
 * 关注回复-配置公众号列表
 */
export function wechatPlatformSubscribeAuthList(
  id: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/subscribe/auth_list/${id}`, params);
}

/**
 * 关注回复-添加
 */
export function wechatPlatformSubscribeAdd(params: object) {
  return http.post('/wechatPlatform/subscribe/add', params);
}
/**
 * 关注回复-编辑保存
 */
export function wechatPlatformSubscribeEdit(
  id: number | string,
  params: object
) {
  return http.post(`/wechatPlatform/subscribe/edit/${id}`, params);
}
/**
 * 关注回复-删除
 */
export function wechatPlatformSubscribeDel(params: object) {
  return http.post(`/wechatPlatform/subscribe/del`, params);
}
/**
 * 关注回复-分配公众号
 */
export function wechatPlatformSubscribeAllocation(
  id: number | string,
  params: object
) {
  return http.post(`/wechatPlatform/subscribe/allocation/${id}`, params);
}

/**
 * 关注回复-全局设置获取
 */
export function wechatPlatformSubscribeGetConfig(
  miniprogramId: number | string,
  params?: object
) {
  return http.get(
    `/wechatPlatform/subscribe/getConfig/${miniprogramId}`,
    params
  );
}

/**
 * 关注回复-全局设置更新
 */
export function wechatPlatformSubscribeSetConfig(
  miniprogramId: number | string,
  params: object
) {
  return http.post(
    `/wechatPlatform/subscribe/setConfig/${miniprogramId}`,
    params
  );
}
