import http from '@/api/http';
/**
 * 关键字-列表
 */
export function wechatPlatformKeywordList(params: object) {
  return http.get(`/wechatPlatform/keyword/list`, params);
}
/**
 * 关键字-详情
 */
export function wechatPlatformKeywordDetail(
  id: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/keyword/detail/${id}`, params);
}
/**
 * 关键字-配置公众号列表
 */
export function wechatPlatformKeywordAuthList(
  id: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/keyword/auth_list/${id}`, params);
}

/**
 * 获取小程序播放页面链接
 */
export function wechatPlatformCommonGetPlayUrl(params: object) {
  return http.post('/wechatPlatform/common/get_play_url', params);
}
/**
 * 关键字-添加
 */
export function wechatPlatformKeywordAdd(params: object) {
  return http.post('/wechatPlatform/keyword/add', params);
}
/**
 * 关键字-编辑保存
 */
export function wechatPlatformKeywordEdit(id: number | string, params: object) {
  return http.post(`/wechatPlatform/keyword/edit/${id}`, params);
}
/**
 * 关键字-删除
 */
export function wechatPlatformKeywordDel(params: object) {
  return http.post(`/wechatPlatform/keyword/del`, params);
}
/**
 * 关键字-分配公众号
 */
export function wechatPlatformKeywordAllocation(
  id: number | string,
  params: object
) {
  return http.post(`/wechatPlatform/keyword/allocation/${id}`, params);
}

/**
 * 关键字-全局设置获取
 */
export function wechatPlatformKeywordGetConfig(
  miniprogramId: number | string,
  params?: object
) {
  return http.get(`/wechatPlatform/keyword/getConfig/${miniprogramId}`, params);
}

/**
 * 关键字-全局设置更新
 */
export function wechatPlatformKeywordSetConfig(
  miniprogramId: number | string,
  params: object
) {
  return http.post(
    `/wechatPlatform/keyword/setConfig/${miniprogramId}`,
    params
  );
}
