export function validation(validationData: object) {
  var validate = true;
  if (
    validationData?.tags?.attention_hour == 'custom' &&
    (validationData?._tags?.attention_hour?.min == undefined ||
      validationData?._tags?.attention_hour?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义关注时间');
  } else if (
    validationData?._tags?.attention_hour?.min >
    validationData?._tags?.attention_hour?.max
  ) {
    validate = false;
    ElMessage.error('自定义关注时间区间范围错误');
  } else if (validationData?._tags?.attention_hour?.max > 720) {
    validate = false;
    ElMessage.error('自定义关注时间不能超过720h(30天)');
  }

  if (
    validationData?.tags?.interact_hour == 'custom' &&
    (validationData?._tags?.interact_hour?.min == undefined ||
      validationData?._tags?.interact_hour?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义上次互动时间');
  } else if (
    validationData?._tags?.interact_hour?.min >
    validationData?._tags?.interact_hour?.max
  ) {
    validate = false;
    ElMessage.error('自定义上次互动时间区间范围错误');
  } else if (validationData?._tags?.interact_hour?.max > 720) {
    validate = false;
    ElMessage.error('自定义上次互动时间不能超过720h(30天)');
  }

  if (
    validationData?.tags?.last_watch_day == 'custom' &&
    (validationData?._tags?.last_watch_day?.min == undefined ||
      validationData?._tags?.last_watch_day?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义最近观看日期');
  } else if (
    validationData?._tags?.last_watch_day?.min >
    validationData?._tags?.last_watch_day?.max
  ) {
    validate = false;
    ElMessage.error('自定义最近观看日期区间范围错误');
  } else if (validationData?._tags?.last_watch_day?.max > 30) {
    validate = false;
    ElMessage.error('自定义最近观看日期不能超过30天');
  }

  if (
    validationData?.tags?.register_day == 'custom' &&
    (validationData?._tags?.register_day?.min == undefined ||
      validationData?._tags?.register_day?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义用户注册日期');
  } else if (
    validationData?._tags?.register_day?.min >
    validationData?._tags?.register_day?.max
  ) {
    validate = false;
    ElMessage.error('自定义用户注册日期区间范围错误');
  } else if (validationData?._tags?.register_day?.max > 30) {
    validate = false;
    ElMessage.error('自定义用户注册日期不能超过30天');
  }

  if (
    validationData?.tags?.total_watch_day == 'custom' &&
    (validationData?._tags?.total_watch_day?.min == undefined ||
      validationData?._tags?.total_watch_day?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义累计观看天数');
  } else if (
    validationData?._tags?.total_watch_day?.min >
    validationData?._tags?.total_watch_day?.max
  ) {
    validate = false;
    ElMessage.error('自定义累计观看天数区间范围错误');
  } else if (validationData?._tags?.total_watch_day?.max > 30) {
    validate = false;
    ElMessage.error('自定义累计观看天数不能超过30天');
  }

  if (
    validationData?.tags?.total_charge_money == 'custom' &&
    (validationData?._tags?.total_charge_money?.min == undefined ||
      validationData?._tags?.total_charge_money?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义累计充值金额');
  } else if (
    validationData?._tags?.total_charge_money?.min >
    validationData?._tags?.total_charge_money?.max
  ) {
    validate = false;
    ElMessage.error('自定义累计充值金额区间范围错误');
  }

  if (
    validationData?.tags?.avg_charge_money == 'custom' &&
    (validationData?._tags?.avg_charge_money?.min == undefined ||
      validationData?._tags?.avg_charge_money?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义平均充值金额');
  } else if (
    validationData?._tags?.avg_charge_money?.min >
    validationData?._tags?.avg_charge_money?.max
  ) {
    validate = false;
    ElMessage.error('自定义平均充值金额区间范围错误');
  }

  if (
    validationData?.tags?.charge_num == 'custom' &&
    (validationData?._tags?.charge_num?.min == undefined ||
      validationData?._tags?.charge_num?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义充值次数');
  } else if (
    validationData?._tags?.charge_num?.min >
    validationData?._tags?.charge_num?.max
  ) {
    validate = false;
    ElMessage.error('自定义充值次数区间范围错误');
  }

  if (
    validationData?.tags?.remain_coin == 'custom' &&
    (validationData?._tags?.remain_coin?.min == undefined ||
      validationData?._tags?.remain_coin?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义看币余额');
  } else if (
    validationData?._tags?.remain_coin?.min >
    validationData?._tags?.remain_coin?.max
  ) {
    validate = false;
    ElMessage.error('自定义看币余额区间范围错误');
  }

  if (
    validationData?.tags?.last_charge_day == 'custom' &&
    (validationData?._tags?.last_charge_day?.min == undefined ||
      validationData?._tags?.last_charge_day?.max == undefined)
  ) {
    validate = false;
    ElMessage.error('请输入自定义上次充值日期');
  } else if (
    validationData?._tags?.last_charge_day?.min >
    validationData?._tags?.last_charge_day?.max
  ) {
    validate = false;
    ElMessage.error('自定义上次充值日期区间范围错误');
  } else if (validationData?._tags?.last_charge_day?.max > 30) {
    validate = false;
    ElMessage.error('自定义上次充值日期不能超过30天');
  }

  if (validate) {
    if (validationData?.tags?.attention_hour == 'custom') {
      validationData.tags.attention_hour = `${validationData?._tags?.attention_hour?.min}-${validationData?._tags?.attention_hour?.max}`;
    }

    if (validationData?.tags?.interact_hour == 'custom') {
      validationData.tags.interact_hour = `${validationData?._tags?.interact_hour?.min}-${validationData?._tags?.interact_hour?.max}`;
    }

    if (validationData?.tags?.last_watch_day == 'custom') {
      validationData.tags.last_watch_day = `${validationData?._tags?.last_watch_day?.min}-${validationData?._tags?.last_watch_day?.max}`;
    }

    if (validationData?.tags?.register_day == 'custom') {
      validationData.tags.register_day = `${validationData?._tags?.register_day?.min}-${validationData?._tags?.register_day?.max}`;
    }

    if (validationData?.tags?.total_watch_day == 'custom') {
      validationData.tags.total_watch_day = `${validationData?._tags?.total_watch_day?.min}-${validationData?._tags?.total_watch_day?.max}`;
    }

    if (validationData?.tags?.total_charge_money == 'custom') {
      validationData.tags.total_charge_money = `${validationData?._tags?.total_charge_money?.min}-${validationData?._tags?.total_charge_money?.max}`;
    }

    if (validationData?.tags?.avg_charge_money == 'custom') {
      validationData.tags.avg_charge_money = `${validationData?._tags?.avg_charge_money?.min}-${validationData?._tags?.avg_charge_money?.max}`;
    }

    if (validationData?.tags?.charge_num == 'custom') {
      validationData.tags.charge_num = `${validationData?._tags?.charge_num?.min}-${validationData?._tags?.charge_num?.max}`;
    }

    if (validationData?.tags?.remain_coin == 'custom') {
      validationData.tags.remain_coin = `${validationData?._tags?.remain_coin?.min}-${validationData?._tags?.remain_coin?.max}`;
    }

    if (validationData?.tags?.last_charge_day == 'custom') {
      validationData.tags.last_charge_day = `${validationData?._tags?.last_charge_day?.min}-${validationData?._tags?.last_charge_day?.max}`;
    }
  }
  return validate;
}
