// 导出中文/字段
import { ref, onMounted, onUnmounted, Ref } from 'vue';
export const useExcelTitle = (callback?: () => void): any => {
  const rolesIdentify = inject('rolesIdentify');
  const title = {
    时间: 'day_at',
    优化师: 'username',
    小程序名称: 'miniprogram_name',
    充值金额: 'pay_money',
    充值笔数: 'pay_count',
    新增普通用户充值总额: 'new_user_common_pay_money',
    新增会员用户充值总额: 'new_user_vip_pay_money',
    普通充值总额: 'common_pay_money',
    普通充值人均: 'common_pay_money_per',
    普通充值已支付订单数: 'common_pay_count',
    普通充值未支付订单数: 'common_unpay_count',
    普通充值支付率: 'common_pay_rate',
    会员充值总额: 'vip_pay_money',
    会员充值人均: 'vip_pay_money_per',
    会员充值已支付订单数: 'vip_pay_count',
    会员充值未支付订单数: 'vip_unpay_count',
    会员充值支付率: 'vip_pay_rate'
  };

  if (rolesIdentify.value.includes('optimizer')) {
    delete title['优化师'];
  }

  callback && callback();

  onMounted(() => {});

  onUnmounted(() => {});

  return {
    title
  };
};
