// 导出中文/字段
import { ref, onMounted, onUnmounted, Ref } from 'vue';
export const useExcelTitle = (callback?: () => void): any => {
  const rolesIdentify = inject('rolesIdentify');
  const title = {
    时间: 'day_at',
    商户名称: 'company_username',
    优化师: 'optimizer_name',
    小程序名称: 'miniprogram_name',
    推广链接: 'promotion_name',
    当日新增用户数: 'new_user_num',
    累计充值人数: 'new_user_pay_uv',
    投放成本: 'cost_money',
    回本率金额: 'new_user_pay_money',
    回本: 'huiben',
    新增用户成本: 'new_user_cost_money',
    新用户人均充值: 'new_user_pay_money_per',
    会员成本金额: 'new_user_vip_pay_money',
    会员成本人数: 'new_user_vip_pay_uv',
    会员成本累计: 'vip_money_per',
    充值成本金额: 'new_user_pay_money',
    充值成本人数: 'new_user_common_pay_uv',
    充值成本累计: 'common_money_per',
    会员转化率: 'zhuanhua_vip',
    充值转化率: 'zhuanhua_common',
    总计转化率: 'zhuanhua_all'
  };
  if (!rolesIdentify.value.includes('administrator')) {
    delete title['商户名称'];
  }

  if (rolesIdentify.value.includes('optimizer')) {
    delete title['商户名称'];
    delete title['优化师'];
  }

  callback && callback();

  onMounted(() => {});

  onUnmounted(() => {});

  return {
    title
  };
};
